package com.yonge.cooleshow.auth.api.entity;


public class LoginEntity {

	private String smsCode;

    private String clientId;

    private String clientSecret;
    //未注册是否立即注册
    private Boolean isSurportRegister;
    //登录的用户类型，没有则默认为clientId
    private String loginUserType;

    private String phone;
    
    private String deviceNum;
    //二维码code
    private String qrCode;
    
    public Boolean getIsSurportRegister() {
		return isSurportRegister;
	}

	public void setIsSurportRegister(Boolean isSurportRegister) {
		this.isSurportRegister = isSurportRegister;
	}

	public String getSmsCode() {
        return smsCode;
    }

    public void setSmsCode(String smsCode) {
        this.smsCode = smsCode;
    }

    public String getClientId() {
        return clientId;
    }

    public void setClientId(String clientId) {
        this.clientId = clientId;
    }

    public String getClientSecret() {
        return clientSecret;
    }

    public void setClientSecret(String clientSecret) {
        this.clientSecret = clientSecret;
    }

    public String getLoginUserType() {
        return loginUserType;
    }

    public void setLoginUserType(String loginUserType) {
        this.loginUserType = loginUserType;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

	public String getDeviceNum() {
		return deviceNum;
	}

	public void setDeviceNum(String deviceNum) {
		this.deviceNum = deviceNum;
	}

    public String getQrCode() {
        return qrCode;
    }

    public void setQrCode(String qrCode) {
        this.qrCode = qrCode;
    }
}
